#!/usr/bin/env python
import urllib2, re, glob, shutil

dlpage = urllib2.urlopen("http://ftpmirror.gnu.org/gcc/")
versions = re.findall(r'''gcc-([0-9][0-9.]*[0-9])''', dlpage.read())

versions.sort(key=lambda x: map(int, x.split(".")) )
version = versions[-1]

newBuildFile = "gcc-" + version + ".build"
buildFile, = glob.glob("gcc-*.build")

if buildFile != newBuildFile:
    print "mv {old} {new}".format(old=buildFile, new=newBuildFile)
    shutil.move(buildFile, newBuildFile)
